%define	name	etk
%define version 0.1.0.042
%define svnrel	20090503
%define release %mkrel 7.%{svnrel}.4

%define major   1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment toolkit
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{version}.tar.bz2
Patch0:		etk-0.1.0.042-fix-linkage.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ecore-devel >= 0.9.9.060
Buildrequires:	eet-devel
BuildRequires:	edje-devel >= 0.5.0.042, edje => 0.5.0.042
Buildrequires:	embryo >= 0.9.9.050, embryo-devel >= 0.9.9.050
Buildrequires:	gettext-devel

%description
Etk is a toolkit based on the EFL libraries.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %name

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -qn %name
%patch0 -p0

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/etk_test
%{_bindir}/etk_prefs
%{_datadir}/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/etk/engines/*.so

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%{_libdir}/etk/engines/*.a
%{_libdir}/etk/engines/*.la
%{_includedir}/*


%changelog
* Fri Aug 07 2009 Funda Wang <fundawang@mandriva.org> 0.1.0.042-7.20090503.4mdv2010.0
+ Revision: 411191
- rebuild for new ecore

* Wed Jul 08 2009 Funda Wang <fundawang@mandriva.org> 0.1.0.042-7.20090503.3mdv2010.0
+ Revision: 393498
- rebuild

* Mon Jul 06 2009 Funda Wang <fundawang@mandriva.org> 0.1.0.042-7.20090503.2mdv2010.0
+ Revision: 392844
- rebuild for new ecore

* Sun May 03 2009 Funda Wang <fundawang@mandriva.org> 0.1.0.042-7.20090503.1mdv2010.0
+ Revision: 370840
- new snapshot to build with newer ecore

* Sun Mar 01 2009 Antoine Ginies <aginies@mandriva.com> 0.1.0.042-6mdv2009.1
+ Revision: 346310
- add embryo builrequires
- SVN SNAPSHOT 20090227, release 0.1.0.042

* Sat Sep 20 2008 Funda Wang <fundawang@mandriva.org> 0.1.0.042-5mdv2009.0
+ Revision: 286240
- fix linkage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.1.0.042-3mdv2008.1
+ Revision: 168963
- bump release, restore specific buildrequires to avoid major E libs breakage

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 0.1.0.042-2mdv2008.1
+ Revision: 161630
- fix requires

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.1.0.042-1mdv2008.1
+ Revision: 161546
- new version
- fix URL
- tidy spec
- drop etk-config

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0.007-1mdv2008.1
+ Revision: 104069
- CVS SNAPSHOT 20071031, release 0.1.0.007

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0.1.0.003-7mdv2008.0
+ Revision: 83496
- fix build and rebuild against new ecore

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0.003-6mdv2008.0
+ Revision: 76316
- fix missing file etk-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.1.0.003

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.1.0.003-5mdv2008.0
+ Revision: 36150
- rebuild with correct optflags

* Tue Jun 05 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0.003-4mdv2008.0
+ Revision: 35859
- CVS SNAPSHOT 20070605, release 0.1.0.003
- CVS SNAPSHOT 20070529, release 0.1.0.003

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0.003-2mdv2008.0
+ Revision: 30704
- remove cvsrel
- disable cvs release

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0.003-0.20070516.2mdv2008.0
+ Revision: 30674
- fix path to etk source
- increase mkrel
- CVS snapshot 20070524, release 0.1.0.003
- use version in source file

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0.003-0.20070516.1mdv2008.0
+ Revision: 29260
- add edje buildrequires
- add edjed-devel buildrequires
- fix typo
- add cvs buildrequires
- adjust buildrequires
- fix Buildrequires
- Import etk



* Wed May 16 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0.003-0.20070516.1mdv2008.0
- cvs snapshot 20070516
- use mkrel

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.1.0.001-0.20060323.1mdk
- initial package
